# $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/track_ctrl/drot/Interface/Makefile.am 2976 2020-05-14 15:38:34Z depa $

# https://svn.mpia.de/gulli/TwiceAsNice/branch/unstable/ln/laos-drot/src/Interface/Makefile.am 14492 2017-07-13 12:37:38Z briegel $

include $(top_srcdir)/config/all.mk

# SLICE_INC += -I$(top_srcdir)/src/track_ctrl/drot/Interface/
SLICE_INC += -I$(top_srcdir)/src/track_ctrl/drot/Interface/

# AM_CXXFLAGS = -I$(top_srcdir)/src
AM_CXXFLAGS = -Isrc \
              $(SHARKNIR_DROT_CXXFLAGS) \
              $(BASDA_MOCCA_CXXFLAGS) \
              $(BASDA_CXXFLAGS) \
              $(NICE_CXXFLAGS) \
              $(NICEQT_CXXFLAGS) \
              $(QT4_CXXFLAGS) \
              $(ICE_CXXFLAGS) \
              $(PYTHON_INCLUDE_DIR) \
              $(CFITSIO_CFLAGS) $(IIF_CXXFLAGS)

install_pyexecLTLIBRARIES = install-pyexecLTLIBRARIES
$(install_pyexecLTLIBRARIES): install-libLTLIBRARIES

uidir=$(datadir)/ui/Sharknir/

################################################################################
lib_LTLIBRARIES = libSharknirDrotService_NiceType.la

libSharknirDrotService_NiceType_la_SOURCES = \
					Sharknir/Drot/SharknirDrotServiceWorker.basda

nobase_libSharknirDrotService_NiceType_la_HEADERS = \
              Sharknir/Drot/PropertyName.h

libSharknirDrotService_NiceType_ladir      = $(includedir)/shins


# SHARKNIR_DROT_CXXFLAGS
# SHARKNIR_DROT_LDFLAGS
# SHARKNIR_DROT_LIBS

libSharknirDrotService_NiceType_la_LIBADD  = -lBasdaServiceState_NiceType \
                                         $(BASDA_LIBS) \
                                         $(NICE_LIBS) \
                                         $(BOOST_SYSTEM_LIB) \
                                         $(ICE_LIBS) $(IIF_LIBS)
libSharknirDrotService_NiceType_la_LDFLAGS = \
                                         -Wl,--no-undefined \
                                         -version-info \
                                         $(LIBRARY_VERSION) \
                                         $(BASDA_LDFLAGS) \
                                         $(NICE_LDFLAGS) \
                                         $(BOOST_SYSTEM_LDFLAGS) \
                                         $(BOOST_LDFLAGS) \
                                         $(ICE_LDFLAGS) $(IIF_LDFLAGS)

################################################################################
pyexec_LTLIBRARIES = SharknirDrotProperties.la

SharknirDrotProperties_la_SOURCES = Sharknir/Drot/PropertyName.cc
SharknirDrotProperties_la_LDFLAGS = -avoid-version -module \
                                    -Wl,--no-undefined \
                                    $(SHARKNIR_DROT_LDFLAGS) \
                                    $(BASDA_MOCCA_LDFLAGS) \
                                    $(BOOST_LDFLAGS)

SharknirDrotProperties_la_CXXFLAGS = $(BASDA_CXXFLAGS) \
                                     $(SHARKNIR_DROT_CXXFLAGS) \
                                     $(BASDA_MOCCA_CXXFLAGS) \
                                     $(BOOST_CPPFLAGS) \
                                     $(PYTHON_INCLUDE_DIR)

SharknirDrotProperties_la_LIBADD =  $(BOOST_PYTHON_LIB) \
                                    $(SHARKNIR_DROT_LIBS)
SharknirDrotProperties_la_DEPENDENCIES = \
                                     libSharknirDrotService_NiceType.la

################################################################################
lib_LTLIBRARIES += libSharknirDrotServiceWidget_NiceTypeQt.la

nodist_libSharknirDrotServiceWidget_NiceTypeQt_la_SOURCES = \
        libSharknirDrotServiceWidget_NiceTypeQt_la.moc.cc \
         Sharknir/Drot/SharknirDrotServiceWorkerQt.cc

libSharknirDrotServiceWidget_NiceTypeQt_la_SOURCES        = \
         Sharknir/Qt/Drot/SharknirDrotServiceWidget.cc \
         Sharknir/Qt/Drot/SharknirDrotServiceWidget.h \
         Sharknir/Qt/Drot/SharknirDrotServiceWidgetUI.ui

libSharknirDrotServiceWidget_NiceTypeQt_ladir             = \
         $(includedir)/shins

libSharknirDrotServiceWidget_NiceTypeQt_la_LIBADD         = \
         -lSharknirDrotService_NiceType \
         -lBasdaMoccaIcons \
         -lBasdaServiceStateIcons \
         -lBasdaServiceState_NiceTypeQt \
         $(SHARKNIR_DROT_LIBS) \
         $(BASDA_MOC_LIBS) \
         $(BASDA_LIBS) \
         $(NICE_LIBS) \
         $(NICEQT_LIBS) \
         $(ICE_LIBS) \
         $(BOOST_SYSTEM_LIB) \
         $(QT4_LIBS_ALL)

libSharknirDrotServiceWidget_NiceTypeQt_la_LDFLAGS        = \
         -Wl,--no-undefined \
         -version-info \
         $(LIBRARY_VERSION) \
         $(SHARKNIR_DROT_LDFLAGS) \
         $(NICE_LDFLAGS) \
         $(NICEQT_LDFLAGS) \
         $(ICE_LDFLAGS) \
         $(BOOST_SYSTEM_LDFLAGS) \
         $(QT4_LDFLAGS)

libSharknirDrotServiceWidget_NiceTypeQt_la_DEPENDENCIES = \
         libSharknirDrotService_NiceType.la

dist_ui_DATA = Sharknir/Qt/Drot/Drot.ui Sharknir/Qt/Drot/DrotServicePanelUI.ui
